| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::PropertyMap Class Reference
Optional Components » HLMS

`#include <OgreHlmsPropertyMap.h>`

Inheritance diagram for Ogre::PropertyMap:
[legend]

## Classes
struct | Property

## Public Member Functions
| PropertyMap ()
virtual | ~PropertyMap ()
uint32 | getHash ()
int32 | getProperty (IdString key, int32 defaultVal=0)
bool | hasProperty (IdString key)
void | removeProperty (IdString key)
void | setCommonProperties ()
| Inserts common properties about the current Renderable, such as hlms_skeleton hlms_uv_count, etc. More...
void | setProperty (IdString key, int32 value)

The documentation for this class was generated from the following file:

- OgreHlmsPropertyMap.h